org.apache.poi.poifs.crypt.dsig.services

## Class RevocationData

- java.lang.Object
- - org.apache.poi.poifs.crypt.dsig.services.RevocationData

-     public class RevocationData
      extends java.lang.Object

  Container class for PKI revocation data.
  Author:
    Frank Cornelis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevocationData()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCRL(byte[] encodedCrl)` Adds a CRL to this revocation data set.
    `void` | `addCRL(java.security.cert.X509CRL crl)` Adds a CRL to this revocation data set.
    `void` | `addOCSP(byte[] encodedOcsp)` Adds an OCSP response to this revocation data set.
    `java.util.List<byte[]>` | `getCRLs()` Gives back a list of all CRLs.
    `java.util.List<byte[]>` | `getOCSPs()` Gives back a list of all OCSP responses.
    `boolean` | `hasCRLs()` Returns `true` if this revocation data set holds CRLs.
    `boolean` | `hasOCSPs()` Returns `true` if this revocation data set holds OCSP responses.
    `boolean` | `hasRevocationDataEntries()` Returns `true` if this revocation data is not empty.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevocationData

          public RevocationData()

      Default constructor.

  - ### Method Detail

    - #### addCRL

          public void addCRL(byte[] encodedCrl)

      Adds a CRL to this revocation data set.
      Parameters:
        `encodedCrl` -

    - #### addCRL

          public void addCRL(java.security.cert.X509CRL crl)

      Adds a CRL to this revocation data set.
      Parameters:
        `crl` -

    - #### addOCSP

          public void addOCSP(byte[] encodedOcsp)

      Adds an OCSP response to this revocation data set.
      Parameters:
        `encodedOcsp` -

    - #### getCRLs

          public java.util.List<byte[]> getCRLs()

      Gives back a list of all CRLs.
      Returns:
        a list of all CRLs

    - #### getOCSPs

          public java.util.List<byte[]> getOCSPs()

      Gives back a list of all OCSP responses.
      Returns:
        a list of all OCSP response

    - #### hasOCSPs

          public boolean hasOCSPs()

      Returns `true` if this revocation data set holds OCSP responses.
      Returns:
        `true` if this revocation data set holds OCSP responses.

    - #### hasCRLs

          public boolean hasCRLs()

      Returns `true` if this revocation data set holds CRLs.
      Returns:
        `true` if this revocation data set holds CRLs.

    - #### hasRevocationDataEntries

          public boolean hasRevocationDataEntries()

      Returns `true` if this revocation data is not empty.
      Returns:
        `true` if this revocation data is not empty.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.